import { Rect } from "igniteui-angular-core";
import { Size } from "igniteui-angular-core";
import { SpreadsheetCursor } from "./SpreadsheetCursor";
import { SpreadsheetToolTipContext } from "./SpreadsheetToolTipContext";
import { IgRect } from "igniteui-angular-core";
import { IgSize } from "igniteui-angular-core";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export interface ISpreadsheetInteractionManagerOwner {
    focusControlIfNeeded(): void;
    getRelativeSpreadsheetControlBounds(): IgRect;
    _getRelativeSpreadsheetControlBounds$i(): Rect;
    getLayerContainerSize(): IgSize;
    _getLayerContainerSize$i(): Size;
    hideToolTip(): void;
    isMouseOver(): boolean;
    isToolTipAllowed(): boolean;
    onCursorChanged(a: SpreadsheetCursor): void;
    showToolTip(a: SpreadsheetToolTipContext): void;
}
/**
 * @hidden
 */
export declare let ISpreadsheetInteractionManagerOwner_$type: Type;
